import 'package:app_hit_a_wod/src/models/subscription_selection.model.dart';
import 'package:app_hit_a_wod/src/models/user.model.dart';
import 'package:json_annotation/json_annotation.dart';

part 'login_response.model.g.dart';

@JsonSerializable()
class LoginResponse {

  LoginResponse();

  factory LoginResponse.fromJson(Map<String, dynamic> json) => _$LoginResponseFromJson(json);
  Map<String, dynamic> toJson() => _$LoginResponseToJson(this);

  String access_token;
  String token_type;
  int expires_in;
  User user;
  List<SubscriptionSelection> subscriptions;

}